#include <iostream>

using namespace std;

int main()
{
    int n,k,i;
    cin>>n>>k;
    int a[n];
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    for(i=0;i<n-1;i++){
        if(a[i]==k)
            cout<<a[i+1];
    }
    if(a[n-1]==k)
        cout<<a[0];
}